Page MenuHomePhabricator

Date format in file infobox on commons and at wikidata localized incorectly in Chechen (ce)
Closed, ResolvedPublic

Event Timeline

Maniphest changed the visibility from "Public (No Login Required)" to "Custom Policy".Aug 24 2015, 8:31 AM
Maniphest changed the edit policy from "All Users" to "Custom Policy".
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 24 2015, 8:31 AM
Umar created this task.Aug 24 2015, 8:31 AM
Umar triaged this task as High priority.
Umar updated the task description. (Show Details)
Umar added a project: Security.
Umar changed Security from None to Software security bug.
Umar edited subscribers, added: Umar; removed: Aklapper.
Umar added a comment.Aug 24 2015, 8:37 AM

http://s018.radikal.ru/i506/1508/1f/db403e7ee44e.png

correctly so 2015 шаран 21 август

Bawolff renamed this task from The date format in the description file to Date format in file infobox on commons localized incorectly in Chechen (ce).Aug 24 2015, 9:03 AM
Bawolff raised the priority of this task from High to Needs Triage.
Bawolff updated the task description. (Show Details)
Bawolff edited projects, added I18n, Commons; removed Security.
Bawolff changed the visibility from "Custom Policy" to "Public (No Login Required)".
Bawolff changed the edit policy from "Custom Policy" to "All Users".
Restricted Application changed the visibility from "Public (No Login Required)" to "Custom Policy". · View Herald TranscriptAug 24 2015, 9:03 AM
Restricted Application changed the edit policy from "All Users" to "Custom Policy". · View Herald Transcript
Restricted Application added a project: Security. · View Herald Transcript
Restricted Application added a subscriber: Steinsplitter. · View Herald Transcript
Bawolff changed the visibility from "Custom Policy" to "Public (No Login Required)".
Bawolff changed the edit policy from "Custom Policy" to "All Users".
Bawolff changed Security from Software security bug to None.

Umar: Is the date correct at https://ce.wikipedia.org/wiki/%D0%A4%D0%B0%D0%B9%D0%BB:Example.png#filehistory in the "Терахь/Хан" column?

This may be an issue with how commons translates dates in their infobox thing (Making it a commons not MediaWiki issue). I don't know enough about the commons infobox template to say for sure.

Bawolff added a subscriber: Rillke.Aug 24 2015, 9:14 AM
Umar added a comment.Aug 24 2015, 9:19 AM

I know it's not here do not tell

How to fix and then format
https://www.wikidata.org/wiki/Q4605#sitelinks-wikipedia

I know it's not here do not tell

I don't understand. Is that a yes or a no?

I ask, because identifying if its incorrect in the file history table on ce.wikipedia.org, would help narrow down where the problem lies.

How to fix and then format
https://www.wikidata.org/wiki/Q4605#sitelinks-wikipedia

I don't understand.

Umar added a comment.Aug 24 2015, 9:26 AM

There, too, so correctly so 1921 шаран 1 февраль

I don't understand. Is that a yes or a no?
I ask, because identifying if its incorrect in the file history table on ce.wikipedia.org, would help narrow down where the problem lies.

That is, I want to know if its incorrect everywhere, or just in the one spot you mentioned.

Umar added a comment.Aug 24 2015, 9:30 AM

The date format for the interface has recently corrected. Elsewhere it right.

There, too, so correctly so 1921 шаран 1 февраль

Oh, I understand. You're saying that https://www.wikidata.org/wiki/Q4605?uselang=ce#P166 displays as 1 февралехь 1921 where it should display as 1921 шаран 1 февраль

Restricted Application added a project: Wikidata. · View Herald TranscriptAug 24 2015, 9:34 AM
Bawolff renamed this task from Date format in file infobox on commons localized incorectly in Chechen (ce) to Date format in file infobox on commons and at wikidata localized incorectly in Chechen (ce).Aug 24 2015, 9:35 AM

This is not a Wikidata related issue for all I can tell.

The wikidata part of this might be a duplicate of T63958

Yeah but the date shown on the linked example isn't coming from Wikidata. Am I missing some connection?

This is not a Wikidata related issue for all I can tell.

@Lydia_Pintscher Wikidata not properly localizing dates (For that matter, seems to ignore the date preferences entirely) sounds like a wikidata issue to me

Yeah but the date shown on the linked example isn't coming from Wikidata. Am I missing some connection?

[sorry, mid air collision with your last comment]

Its not mentioned in comment 0 (Which is my fault), but Umar is complaining about two things. One at commons, and one at https://www.wikidata.org/wiki/Q4605?uselang=ce#P166

Ah ok. Yes that is the ticket you linked.

RP88 added a subscriber: RP88.Aug 25 2015, 8:19 PM

In MediaWiki/core the file languages / messages / MessagesCe.php is using the format 'Y, j F' for Chechen dates per T94665.

On Commons a call to {{#time:Y, j F | 2015-08-21 | ce}} outputs "2015, 21 август". So with regards to dates in Commons infoboxes, this appears to be Commons problem (this kind of thing happens a lot, since most wmf wikis are not multilingual). The {{Information}} template uses Module:ISOdate, which in turn uses Module:Date, which uses Module:I18n/date, which does not contain support for Chechen dates.

Steinsplitter moved this task from Incoming to Backlog on the Commons board.Aug 26 2015, 2:05 PM
RP88 added a comment.Aug 26 2015, 7:38 PM

I've made a protected edit request at Module_talk:I18n/date on Commons; applying this edit should fix this issue on Commons.

Umar added a comment.Aug 26 2015, 8:10 PM

Left wikidata. Thank you.

RP88 added a comment.Sep 16 2015, 12:16 PM

The protected edit request at Commons has been applied. Chechen dates will now display correctly on files. Files will be updated when they are edited, so old files may need a null edit/purge to force a page to rebuild the Chechen version.

As an example, see:
https://commons.wikimedia.org/wiki/File:Обложка_Топонимия_Чечни,_Нальчик,_1997.jpg?uselang=ce

The Chechen date is now "2015 шаран 13 июль".

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 15 2015, 2:24 PM
Bawolff closed this task as Resolved.Nov 16 2015, 2:42 AM
Bawolff claimed this task.

Marking as fixed then. We'll leave the wikidata part to T63958.